QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    highcalorie.cpp \
    lowcaloire.cpp \
    main.cpp \
    mainwindow.cpp \
    mealpicker.cpp \
    recipe.cpp \
    vegetarian.cpp

HEADERS += \
    highcalorie.h \
    lowcaloire.h \
    mainwindow.h \
    mealpicker.h \
    recipe.h \
    vegetarian.h

FORMS += \
    highcalorie.ui \
    lowcaloire.ui \
    mainwindow.ui \
    vegetarian.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res.qrc
